revit

How can I access the overridden properties of a .NET API object in IronPython?

I am using IronPython to create a shell for a plugin API to Autodesk Revit Architecture 2010 to speed up learning their API. One of the classes the API provides is Autodesk.Revit.Elements.Room, derived from Autodesk.Revit.Element. I would really love to read Room.Name, but this goes Boom! on me as Room has overridden Elements Name prop...

How to set the value of a shared parameter with type binding in Autodesk Revit Architecture 2010?

I have a shared parameter UValue bound to the Wall type with TypeBinding in Autodesk Revit Architecture 2010. I can easily access the parameter with: Definition d = DefinitionFile.Groups.get_Item("groupname").Definitions.get_Item("UValue"); Parameter parameter = self.get_Parameter("UValue"); The value of this parameter can be looked ...

[Solved] Autodesk Revit MEP 2010 .NET API C# room to door relation

Hello everyone, working with VS 2008 and Autodesk Revit MEP 2010 in C# i am trying to find out if a door is connecting to rooms: ElementSetIterator elementsetiteratorBIMDoors = bimdoors.getBIMDoors().ForwardIterator(); while (elementsetiteratorBIMDoors.MoveNext()) { Autodesk.Revit.Element elementDoor = elementsetiteratorBIMDoors.C...

How to break someone into testing?

OK. Our product works. Beta testers are actually getting their stuff done. Time for the next iteration. But how to ensure quality? We need a tester! How do I get someone fresh off the street started in testing? I have no clue on how to do it myself (I'm a developer, not a tester)! We are a tiny team: 2 architects (as in buildings, no...

Placing a library part using the Revit Api

I am using the revit api to import a family symbol. The code below is working however it loads the family into revit, and then you have to manually drag it from the familys tree or insert using the relevant family tool. Document document = commandData.Application.ActiveDocument; document.LoadFamilySymbol(fileName, name, out gotSymbol); ...

C# Need to wait for a COM event to fire before continuing execution without control over event

I've read a few other questions that seem similar but I'm still very confused, and none of the answers seem to be working for me so I decided to ask another question. Please bear with me, I'm not very well versed on threading and what not. The application I am making is a 3rd party add-in for Revit Structure. The way they work is I hae ...

In Revit how to do interference detecting programly ?

More precisely, How can I determine whether a Solid intersecting with another element. I looked over the Revit API, and had no idea about this. Any advice will be appreciated! ...

In Revit how to manipulate the tangents of Hermite spline programly ?

I want to choose 3d graphic (not for game) development as my major growing direction. Which books should i read? Which background knowledge I need to learn? ...